# set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ...) does not support multiple files
# do NOT delete the CMakeFiles directory! otherwise there won't be rules for cleaning the subprojects
if(DEBUG)
    message("Setting up clean rules for subdirectory ${CURRENT_DIR}...")
endif()
set_property(DIRECTORY ${CURRENT_DIR} APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES "${LIB_DIR_TO_CLEAN};Makefile;CMakeCache.txt;cmake_install.cmake;gnu;intel;cpe-gnu;__pycache__;${CHEMSH_DIR}/bin;${CHEMSH_DIR}/build;tmp;stamp;")

